package tech.riemann.ims.service.material.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.nutz.dao.Dao;
import org.springframework.stereotype.Service;
import tech.riemann.ims.entity.material.Type;
import tech.riemann.ims.mapper.material.TypeMapper;
import tech.riemann.ims.service.material.ITypeService;

/**
 * @author mayong
 * @since 2024/11/27 15:41
 */
@Service
@RequiredArgsConstructor
public class TypeServiceImpl extends ServiceImpl<TypeMapper, Type> implements ITypeService {
    private final Dao dao;

    @Override
    public Dao dao() {
        return dao;
    }
}
